package com.danding.yang800.Presenter;

import android.content.Context;
import android.content.SharedPreferences;

import com.danding.yang800.BuildConfig;
import com.danding.yang800.General.HttpCallBack;
import com.danding.yang800.General.Yang800App;
import com.danding.yang800.ShopDescribeActivity;
import com.danding.yang800.Util.ToastUtil;
import com.danding.yang800.Util.VolleyUtil;

import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by Administrator on 2017/1/12.
 */
public class ShopDescribeActivityPresenter {
    private ShopDescribeActivity context;
    SharedPreferences sp;

    public ShopDescribeActivityPresenter(ShopDescribeActivity context) {
        sp = context.getSharedPreferences("variable", Context.MODE_PRIVATE);
        this.context = context;
    }


    public void updateInfo(final String id, final boolean authentication, final String des) {
        HashMap<String, String> map = new HashMap<String, String>();
        map.put("id", id);
        map.put("des", des);
        map.put("authentication", authentication + "");
//        new VolleyUtil(context).request(  context,"http://" + BuildConfig.HOSTURL + "/xhr/store/setting/update/storeInfo", true,map, new HttpCallBack() {
        new VolleyUtil(context).request(  context, "store.setting.update.storeInfo", true,map, new HttpCallBack() {
            @Override
            public void onSuccess(JSONObject json) {
                try {
                        ToastUtil.show(context, "修改成功");
                        context.finish();
                    context.dismissDialog();
                } catch (Exception e) {
                    e.printStackTrace();
                    onCatch();
                }

            }


            @Override
            public void onerrSuccess() {
                context.dismissDialog();
            }

            @Override
            public void onCatch() {
                context.dismissDialog();
            }

            @Override
            public void onFail() {
                context.dismissDialog();
            }
        });
//        StringRequest stringRequest = new StringRequest(Request.Method.POST,
//                "http://" + BuildConfig.HOSTURL + "/xhr/store/setting/update/storeInfo",
//                new Response.Listener<String>() {
//                    @Override
//                    public void onResponse(String response) {
//                        Log.d("LoginActivity", response);
//                        //System.out.println(response);
//                        try {
//                            JSONObject json = new JSONObject(response);
//                            String code = json.getString("code");
//                            if (code.equals("success")) {
//                                ToastUtil.show(context, "修改成功");
//                                context.finish();
//                            }
//                            context.dismissDialog();
//                        } catch (Exception e) {
//                            e.printStackTrace();
//                            context.dismissDialog();
//                        }
//                    }
//                }, new Response.ErrorListener() {
//
//            @Override
//            public void onErrorResponse(VolleyError error) {
//                context.dismissDialog();
//            }
//        }) {
//            @Override
//            protected HashMap<String, String> getParams() { //
//                HashMap<String, String> map = new HashMap<String, String>();
//                map.put("id", id);
//                map.put("des", des);
//                map.put("authentication", authentication + "");
//                return map;
//            }
//
//
//        };
//        stringRequest.setTag("POST_TAG");
//        requestQueue.add(stringRequest);
    }


}
